Debian Bug report logs - #625449
Permanent BSP patch

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Neil McGovern <neilm@debian.org>

Date: Tue, 3 May 2011 12:51:02 UTC

Severity: normal

Tags: patch

Fixed in version developers-reference/3.4.6

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
New Bug report received and forwarded. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 12:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: submit@bugs.debian.org
Subject: Permanent BSP patch
Date: Tue, 3 May 2011 13:25:49 +0100
[Message part 1 (text/plain, inline)]
Package: developers-reference
Tags: patch

Hi,

As announced in the recent mail[0], please find attached a patch to
dev-ref changing the NMU policy.

Thanks,
Neil
[0] http://lists.debian.org/debian-devel-announce/2011/03/msg00016.html
-- 
<weasel> dpkg: shut up
<dpkg> No, I won't, and you can't make me. :P
<weasel> hah.  _I_ can
[permanant_bsp.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 13:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 625449@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 3 May 2011 14:56:57 +0200
[Message part 1 (text/plain, inline)]
Hi,

Neil McGovern <neilm@debian.org> (03/05/2011):
> --- pkgs.dbk	(revision 8790)
> +++ pkgs.dbk	(working copy)
> @@ -1947,6 +1947,11 @@
>  <itemizedlist>
>  <listitem>
>  <para>
> +Upload fixing only release-critical bugs older than 7 days, without maintainer activity for 7 days: 0 days
> +</para>
> +</listitem>
> +<listitem>
> +<para>
>  Upload fixing only release-critical bugs older than 7 days: 2 days
>  </para>
>  </listitem>

seconded, thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 13:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 625449@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 3 May 2011 15:11:07 +0200
* Neil McGovern <neilm@debian.org>, 2011-05-03, 13:25:
>+Upload fixing only release-critical bugs older than 7 days, without maintainer activity for 7 days: 0 days
>+</para>
>+</listitem>
>+<listitem>
>+<para>

Oh dear, please don't. I strongly object to this change. (I always 
thought that transient 0-day NMU policy are counter-productive, but 
making it permanent is just plain wrong.)

What's the purpose? The current NMU rules are already extremely liberal.

What does it mean "without maintainer activity"? Does it mean that if 
the maintainer is working on a fix, he needs to periodically ping the 
bug log to protect himself from NMUers?

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 13:28:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 13:28:27 GMT) Full text and rfc822 format available.

Message #20 received at 625449@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 625449@bugs.debian.org
Cc: Lucas Nussbaum <lucas@debian.org>, Bas Wijnen <wijnen@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 3 May 2011 22:27:17 +0900
[DEP1 drivers CCed].

Le Tue, May 03, 2011 at 01:25:49PM +0100, Neil McGovern a écrit :
> Package: developers-reference
> Tags: patch
> 
> [0] http://lists.debian.org/debian-devel-announce/2011/03/msg00016.html

> Index: pkgs.dbk
> ===================================================================
> --- pkgs.dbk	(revision 8790)
> +++ pkgs.dbk	(working copy)
> @@ -1947,6 +1947,11 @@
>  <itemizedlist>
>  <listitem>
>  <para>
> +Upload fixing only release-critical bugs older than 7 days, without maintainer activity for 7 days: 0 days
> +</para>
> +</listitem>
> +<listitem>
> +<para>

Hi all,

in light of the GCC mass bug filing, I just would like to say my unease with
the pressure given by the tight delays that maybe will be advertised in the
Developers Reference.

Fixing these bugs is more than just applying a patch, it is also forwarding the
issue and discussing with Upstream.  In my case, I also make the voluntary
choice to look in Launchpad and fix their GCC bug through my changelogs.  And
our VCS, writable by all DDs, often contain changes in preparation that would
be ignored by a NMU.

The necessity to care was brilliantly reminded by Neil in the announcement
cited above, but with that patch applied the Developers reference would read:

  Unless you have an excellent reason not to do so, you must then give some time
  to the maintainer to react (for example, by uploading to the DELAYED queue).
  Here are some recommended values to use for delays: 
  
   - Upload fixing only release-critical bugs older than 7 days, without
     maintainer activity for 7 days: 0 days

I feel it recommending a zero-day delay does not carry the same message as
“nobody prevents you from uploading NMUs to DELAYED”, from the link above.

One way to reduce the pressure would be to ask the NMUer to take into account
the state of the VCS where the work is being done (debcheckout -a), and to
commit his changes after upload.

Would an update to the NMU section of the Developers Reference to better
mention VCSes be welcome, or is it considered part of DEP1 and therefore need
to be discussed more widely ? 

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Illkirch-Graffenstaden, Alsace, France




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 13:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 13:39:12 GMT) Full text and rfc822 format available.

Message #25 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Charles Plessy <plessy@debian.org>
Cc: 625449@bugs.debian.org, Bas Wijnen <wijnen@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 3 May 2011 15:38:30 +0200
On 03/05/11 at 22:27 +0900, Charles Plessy wrote:
> [DEP1 drivers CCed].
> 
> Le Tue, May 03, 2011 at 01:25:49PM +0100, Neil McGovern a écrit :
> > Package: developers-reference
> > Tags: patch
> > 
> > [0] http://lists.debian.org/debian-devel-announce/2011/03/msg00016.html
> 
> > Index: pkgs.dbk
> > ===================================================================
> > --- pkgs.dbk	(revision 8790)
> > +++ pkgs.dbk	(working copy)
> > @@ -1947,6 +1947,11 @@
> >  <itemizedlist>
> >  <listitem>
> >  <para>
> > +Upload fixing only release-critical bugs older than 7 days, without maintainer activity for 7 days: 0 days
> > +</para>
> > +</listitem>
> > +<listitem>
> > +<para>
> 
> Hi all,
> 
> in light of the GCC mass bug filing, I just would like to say my unease with
> the pressure given by the tight delays that maybe will be advertised in the
> Developers Reference.
> 
> Fixing these bugs is more than just applying a patch, it is also forwarding the
> issue and discussing with Upstream.  In my case, I also make the voluntary
> choice to look in Launchpad and fix their GCC bug through my changelogs.  And
> our VCS, writable by all DDs, often contain changes in preparation that would
> be ignored by a NMU.
> 
> The necessity to care was brilliantly reminded by Neil in the announcement
> cited above, but with that patch applied the Developers reference would read:
> 
>   Unless you have an excellent reason not to do so, you must then give some time
>   to the maintainer to react (for example, by uploading to the DELAYED queue).
>   Here are some recommended values to use for delays: 
>   
>    - Upload fixing only release-critical bugs older than 7 days, without
>      maintainer activity for 7 days: 0 days
> 
> I feel it recommending a zero-day delay does not carry the same message as
> “nobody prevents you from uploading NMUs to DELAYED”, from the link above.

I agree that the resulting wording of patch is suboptimal, and that
recommending 0-day NMUs is not the way to go. We are rarely in need for
action in less than a couple of days in Debian, so the current policy
seems fine to me.
Also, I question the authority of the release team for deciding NMU
policies on their own.

> One way to reduce the pressure would be to ask the NMUer to take into account
> the state of the VCS where the work is being done (debcheckout -a), and to
> commit his changes after upload.
> 
> Would an update to the NMU section of the Developers Reference to better
> mention VCSes be welcome, or is it considered part of DEP1 and therefore need
> to be discussed more widely ? 

With that, I disagree. There are many different ways to interact
with the VCS. For example, the VCS could contain additional changes.
Should they be uploaded together with the NMU? In some cases, it might
make sense, but what if the committed-but-not-uploaded changes are crap?

So before interacting with the package's VCS, I think that it's better
to require, or at least strongly encourage, discussion with the
maintainer(s).

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 20:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 20:51:10 GMT) Full text and rfc822 format available.

Message #30 received at 625449@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 3 May 2011 21:22:46 +0100
On Tue, May 03, 2011 at 03:11:07PM +0200, Jakub Wilk wrote:
> * Neil McGovern <neilm@debian.org>, 2011-05-03, 13:25:
> >+Upload fixing only release-critical bugs older than 7 days, without maintainer activity for 7 days: 0 days
> >+</para>
> >+</listitem>
> >+<listitem>
> >+<para>
> 
> Oh dear, please don't. I strongly object to this change. (I always
> thought that transient 0-day NMU policy are counter-productive, but
> making it permanent is just plain wrong.)
> 

Well, to be blunt, the transient policy has been in place for about 5
years now. This is the current practice and policy of the RMs, so I
beleive it is better do document what is actually happening.

> What's the purpose? The current NMU rules are already extremely liberal.
> 

I belive that the reasons can be summed up in the link of the d-d-a
announcement, at:
http://lists.debian.org/debian-project/2006/07/msg00231.html

> What does it mean "without maintainer activity"? Does it mean that
> if the maintainer is working on a fix, he needs to periodically ping
> the bug log to protect himself from NMUers?
> 

Yes. If a maintainer is taking more that for a *RC* bug fix, then they
*should* keep the buglog updated with status.

Neil
-- 
<ari> show me on the doll where cdbs touched you




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Tue, 03 May 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 03 May 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #35 received at 625449@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 06:57:13 +0900
Le Tue, May 03, 2011 at 09:22:46PM +0100, Neil McGovern a écrit :
> 
> Yes. If a maintainer is taking more that for a *RC* bug fix, then they
> *should* keep the buglog updated with status.

Talking about the GCC 4.6 “*RC bugs*”, I got one other report telling that
Debian's GCC 4.6.1 will introduce more failures.  Then why do we need to act in
emergency and fix all the 4.6.0 bugs within 7 days ?  Can't you tolerate us to
collate both transitions, without having to put placeholders bugs in the BTS ?

I still do not understand why pressure is given to answer in 7 days, which is
at most one full week-end, for non-urgent issues.  We lose energy, trying to be
too much ahead of upstream's work.  I read a lot of complains on -devel that
the manpower is short for the release, but please consider that it is short
elsewhere as well.  Please chose carefully your words in a way that does not
call for wasting it.

Cheers,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 07:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 07:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Charles Plessy <plessy@debian.org>
Cc: 625449@bugs.debian.org, Bas Wijnen <wijnen@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 08:58:57 +0200
On 03/05/11 at 15:38 +0200, Lucas Nussbaum wrote:
> I agree that the resulting wording of patch is suboptimal, and that
> recommending 0-day NMUs is not the way to go. We are rarely in need for
> action in less than a couple of days in Debian, so the current policy
> seems fine to me.

I'd like to add something else.

The Developers' reference gives recommendations to developers, it is not
binding. If you think that a RC bug needs to be fixed with a 0-day NMU,
you are still free to ignore the recommendation and proceed with your
0-day NMU. However, in the general case, I don't think that we should
*recommend* 0-day NMUs.

I feel that using 0-day NMUs when a 2-day NMU would be enough is a way
to punish the maintainers for the frustration they are causing by not
replying to bugs as fast as one would like. NMUs are already a difficult
process on the social level, and I would like us to avoid making it
worse without any clear improvement of Debian's quality.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 09:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 09:42:06 GMT) Full text and rfc822 format available.

Message #45 received at 625449@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 10:40:18 +0100
On Wed, May 04, 2011 at 06:57:13AM +0900, Charles Plessy wrote:
> Le Tue, May 03, 2011 at 09:22:46PM +0100, Neil McGovern a écrit :
> > 
> > Yes. If a maintainer is taking more that for a *RC* bug fix, then they
> > *should* keep the buglog updated with status.
> 
> Talking about the GCC 4.6 “*RC bugs*”, I got one other report telling that
> Debian's GCC 4.6.1 will introduce more failures.  Then why do we need to act in
> emergency and fix all the 4.6.0 bugs within 7 days ?  Can't you tolerate us to
> collate both transitions, without having to put placeholders bugs in the BTS ?
> 

No. You don't need to fix all the bugs in 7 days, you need to at least
respond to it though.

> I still do not understand why pressure is given to answer in 7 days, which is
> at most one full week-end, for non-urgent issues. 

These are RC bugs. They're urgent issues. As for why doing this at all,
please see (again) the URL I pointed to above.

Neil
-- 
< wjt> THINK OF THE TREES
< rjek> ... THAT WE BURNT TO MAKE THE ELECTRONS TO SEND THIS EMAIL




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 09:57:06 GMT) Full text and rfc822 format available.

Message #50 received at 625449@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 11:55:04 +0200
[Message part 1 (text/plain, inline)]
Le mercredi, 4 mai 2011 11.40:18, Neil McGovern a écrit :
> On Wed, May 04, 2011 at 06:57:13AM +0900, Charles Plessy wrote:
> > Le Tue, May 03, 2011 at 09:22:46PM +0100, Neil McGovern a écrit :
> > > Yes. If a maintainer is taking more that for a *RC* bug fix, then they
> > > *should* keep the buglog updated with status.
> > 
> > Talking about the GCC 4.6 “*RC bugs*”, I got one other report telling
> > that Debian's GCC 4.6.1 will introduce more failures.  Then why do we
> > need to act in emergency and fix all the 4.6.0 bugs within 7 days ? 
> > Can't you tolerate us to collate both transitions, without having to put
> > placeholders bugs in the BTS ?
> 
> No. You don't need to fix all the bugs in 7 days, you need to at least
> respond to it though.

The proposed wording doesn't imply this IMHO; I read it as "if you can't find 
an action from the maintainer on the buglog in the last 7 days, you can 0-day 
NMU".

What we want is more something along the lines of "If the bug is older than 7 
days without any maintainer activity /at all/, you can 0-day NMU".

I don't think we can expect maintainers to ping their RC bugs on a weekly 
basis, just to repeat "I'm working on a proper fix, it takes time, don't NMU 
please". Perhaps we need a "willfix" or "dont-nmu-please" tag…

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 10:21:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neil@halon.org.uk>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 10:21:45 GMT) Full text and rfc822 format available.

Message #55 received at 625449@bugs.debian.org (full text, mbox):

From: Neil McGovern <neil@halon.org.uk>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Charles Plessy <plessy@debian.org>, 625449@bugs.debian.org, Bas Wijnen <wijnen@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 10:43:34 +0100
On Wed, May 04, 2011 at 08:58:57AM +0200, Lucas Nussbaum wrote:
> On 03/05/11 at 15:38 +0200, Lucas Nussbaum wrote:
> > I agree that the resulting wording of patch is suboptimal, and that
> > recommending 0-day NMUs is not the way to go. We are rarely in need for
> > action in less than a couple of days in Debian, so the current policy
> > seems fine to me.
> The Developers' reference gives recommendations to developers, it is not
> binding. If you think that a RC bug needs to be fixed with a 0-day NMU,
> you are still free to ignore the recommendation and proceed with your
> 0-day NMU. However, in the general case, I don't think that we should
> *recommend* 0-day NMUs.
> 

I'll repeat again, that this has been the policy for the last 5 years.
This bug is an attemt to document what is actually happening.

Neil
-- 
A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
gpg key - http://www.halon.org.uk/pubkey.txt ; the.earth.li A40F862E




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 10:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 10:33:15 GMT) Full text and rfc822 format available.

Message #60 received at 625449@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Didier Raboud <odyx@debian.org>, 625449@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 12:31:20 +0200
[Message part 1 (text/plain, inline)]
Hi,

Didier Raboud <odyx@debian.org> (04/05/2011):
> The proposed wording doesn't imply this IMHO; I read it as "if you
> can't find an action from the maintainer on the buglog in the last 7
> days, you can 0-day NMU".
> 
> What we want is more something along the lines of "If the bug is
> older than 7 days without any maintainer activity /at all/, you can
> 0-day NMU".
> 
> I don't think we can expect maintainers to ping their RC bugs on a
> weekly basis, just to repeat "I'm working on a proper fix, it takes
> time, don't NMU please". Perhaps we need a "willfix" or
> "dont-nmu-please" tag…
> 
> -- 
> OdyX

reading Jakub's answer, I realized it could indeed be understood this
way. I'll be happily seconding any wording clarifying that.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 13:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 13:09:25 GMT) Full text and rfc822 format available.

Message #65 received at 625449@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Didier Raboud <odyx@debian.org>, 625449@bugs.debian.org, Neil McGovern <neilm@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 13:33:11 +0100
On Wed, May 04, 2011 at 12:31:20PM +0200, Cyril Brulebois wrote:
> Didier Raboud <odyx@debian.org> (04/05/2011):
> > The proposed wording doesn't imply this IMHO; I read it as "if you
> > can't find an action from the maintainer on the buglog in the last 7
> > days, you can 0-day NMU".
> > 
> > What we want is more something along the lines of "If the bug is
> > older than 7 days without any maintainer activity /at all/, you can
> > 0-day NMU".
> > 
> > I don't think we can expect maintainers to ping their RC bugs on a
> > weekly basis, just to repeat "I'm working on a proper fix, it takes
> > time, don't NMU please". Perhaps we need a "willfix" or
> > "dont-nmu-please" tag…
> > 
> > -- 
> > OdyX
> 
> reading Jakub's answer, I realized it could indeed be understood this
> way. I'll be happily seconding any wording clarifying that.
> 

Happy to take phrasing updates, but I would be keen to ensure that a
maintainer can't just ack a bug, and then leave it for months. Perhaps
something that means a maintainer needs to say 'I expect this to be done
by $foo' and $foo + 1 week would be the deadline?

Neil
-- 
<ari> show me on the doll where cdbs touched you




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 13:24:04 GMT) Full text and rfc822 format available.

Message #70 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Didier Raboud <odyx@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 15:14:05 +0200
On 04/05/11 at 13:33 +0100, Neil McGovern wrote:
> On Wed, May 04, 2011 at 12:31:20PM +0200, Cyril Brulebois wrote:
> > Didier Raboud <odyx@debian.org> (04/05/2011):
> > > The proposed wording doesn't imply this IMHO; I read it as "if you
> > > can't find an action from the maintainer on the buglog in the last 7
> > > days, you can 0-day NMU".
> > > 
> > > What we want is more something along the lines of "If the bug is
> > > older than 7 days without any maintainer activity /at all/, you can
> > > 0-day NMU".
> > > 
> > > I don't think we can expect maintainers to ping their RC bugs on a
> > > weekly basis, just to repeat "I'm working on a proper fix, it takes
> > > time, don't NMU please". Perhaps we need a "willfix" or
> > > "dont-nmu-please" tag…
> > > 
> > > -- 
> > > OdyX
> > 
> > reading Jakub's answer, I realized it could indeed be understood this
> > way. I'll be happily seconding any wording clarifying that.
> > 
> 
> Happy to take phrasing updates, but I would be keen to ensure that a
> maintainer can't just ack a bug, and then leave it for months. Perhaps
> something that means a maintainer needs to say 'I expect this to be done
> by $foo' and $foo + 1 week would be the deadline?

I think that if you want to change the NMU procedures described in
dev-ref, you should at least discuss the proposals in a similar forum
than the one where the current recommendations were discussed, i.e
debian-devel@ or debian-project@.

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neil@halon.org.uk>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #75 received at 625449@bugs.debian.org (full text, mbox):

From: Neil McGovern <neil@halon.org.uk>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, Didier Raboud <odyx@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 15:47:36 +0100
On Wed, May 04, 2011 at 03:14:05PM +0200, Lucas Nussbaum wrote:
> I think that if you want to change the NMU procedures described in
> dev-ref, you should at least discuss the proposals in a similar forum
> than the one where the current recommendations were discussed, i.e
> debian-devel@ or debian-project@.
> 

For example, in
http://lists.debian.org/debian-project/2006/07/msg00231.html ?

Neil
-- 
A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
gpg key - http://www.halon.org.uk/pubkey.txt ; the.earth.li A40F862E




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Neil McGovern <neil@halon.org.uk>
Cc: Neil McGovern <neilm@debian.org>, 625449@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, Didier Raboud <odyx@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Wed, 4 May 2011 17:44:47 +0200
On 04/05/11 at 15:47 +0100, Neil McGovern wrote:
> On Wed, May 04, 2011 at 03:14:05PM +0200, Lucas Nussbaum wrote:
> > I think that if you want to change the NMU procedures described in
> > dev-ref, you should at least discuss the proposals in a similar forum
> > than the one where the current recommendations were discussed, i.e
> > debian-devel@ or debian-project@.
> > 
> 
> For example, in
> http://lists.debian.org/debian-project/2006/07/msg00231.html ?

The NMU policy implemented in dev-ref was discussed on -devel@ in 2008

L.




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Wed, 04 May 2011 16:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 04 May 2011 16:09:07 GMT) Full text and rfc822 format available.

Message #85 received at 625449@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Thu, 5 May 2011 01:04:39 +0900
Le Wed, May 04, 2011 at 10:40:18AM +0100, Neil McGovern a écrit :
> 
> These are RC bugs. They're urgent issues.

I find these instructions a too dry.  I think that not every RC bug is equal in
its nuisance to users or to the releasability of the next stable version.

How about using urgency to determine if communication with the maintainer is
needed ?

 - urgency=emergency: no communication needed.
 - urgency=high: normal upload if no activity for 7 days.
 - urgency=medium: DELAYED/2 if no activity for 7 days.
 - urgency=low: ask first.

Cheers,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Illkirch-Graffenstaden, Alsace, France




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Fri, 06 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 06 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #90 received at 625449@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 625449@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>, Mehdi Dogguy <mehdi@debian.org>, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Fri, 6 May 2011 20:59:38 +0200
[Message part 1 (text/plain, inline)]
On Wed, May 04, 2011 at 05:44:47PM +0200, Lucas Nussbaum wrote:
> > > I think that if you want to change the NMU procedures described in
> > > dev-ref, you should at least discuss the proposals in a similar forum
> > > than the one where the current recommendations were discussed, i.e
> > > debian-devel@ or debian-project@.
> > > 
> > For example, in
> > http://lists.debian.org/debian-project/2006/07/msg00231.html ?
> 
> The NMU policy implemented in dev-ref was discussed on -devel@ in 2008

I guess Neil actually meant
<http://lists.debian.org/debian-devel-announce/2011/03/msg00016.html> ,
cited at the beginning of this bug report. Quoting from there:

> 0-day NMU policy
> ----------------
> For some time now, we have had a perpetual 0-day NMU policy, and some
> discussion [LDO:0day] was had a while ago. We feel that this has worked
> well for the past five years, and so will be submitting a bug against
> dev-ref to make this official.

which is a very clear quote and has been circulated via d-d-a.

I've noted that you question the authority of the Release Team authority
to decide on this, which is one thing (see below about that).

Nonetheless nobody can argue that the RT didn't bring this topic
up---with more than 1 month of advance---to the most appropriate place,
enabling everyone to comment. (Reviewing the -devel thread you can find
one comment about it. It is by Gregor, has been posted shortly after a
further "ping" by Mehdi on this topic, and it's a positive one. [1])

So, looking from the outside, I would be more than ready to consider
this change consensual among d-d-a readers.  That of course does not
mean that it is consensual among devref editors, although I would expect
them to follow consensus.

Anyhow, to avoid doubts and the unpleasant sensation of "sneaky-ness" in
ratifying such an important policy, I suggest to proceed as follows:

- Improve the wording, given that it has been perceived as ambiguous by
  various readers.

  I personally agree that it would be good to clarify that maintainers
  are not forced to ping bug logs every 7 weeks (although I believe that
  at least one message saying "I'm on it" it's at the very least a wise
  thing to do to avoid duplication of efforts).  The wording might for
  instance mention that 0-day NMU-ers should do a best effort to check
  out by other means if the maintainer is working on it even if the
  buglog is silent, e.g.: by looking at the VCS. Such a precaution
  sounds reasonable for 0-day NMUs and at the same time won't add much
  of a burden upon the NMU-ers; IME I often looked at the VCS anyhow, to
  check if a patch was already available.

  Maybe those who have found the wording ambiguous can help out with a
  first draft of that?

- See how it goes on this bug log with the new text

- Apply the change (hoping that by then it would be more consensual)

- Mention the new text in the next release team mail, with reference to
  this bug log. That way if people that feel strongly about this have
  missed the first mention, they could bite.


/me puts on his formalities hat

Regarding the authoritativeness of the Release Team for deciding on
this, I'm sorry but I have no solid formal ground to rule on that. (I've
been planning to discuss with RT on how to clarify their delegation, but
it's still in the TODO pipe.) So, if anyone feels strongly about that,
this should probably go to the tech-ctte.

At the same time, it's undeniable that for the past 5 years or more,
people have accepted NMU guidelines coming from the RT. So at least by
folklore people don't seem to have a problem with RT authority on
this. I could look more into this if you, or anyone else want me to
(e.g. by digging archives trying to rebuild RT delegation history), but
I do hope we can solve this in ways where the time of everybody is
better spent than that.

/me takes off the formalities hat


Cheers.


[1] I'm adding both of them to Cc:, in case I've misunderstood them

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Fri, 06 May 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 06 May 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #95 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Stefano Zacchiroli <leader@debian.org>, 625449@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>, Mehdi Dogguy <mehdi@debian.org>, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Fri, 6 May 2011 23:31:02 +0200
On 06/05/11 at 20:59 +0200, Stefano Zacchiroli wrote:
> On Wed, May 04, 2011 at 05:44:47PM +0200, Lucas Nussbaum wrote:
> > > > I think that if you want to change the NMU procedures described in
> > > > dev-ref, you should at least discuss the proposals in a similar forum
> > > > than the one where the current recommendations were discussed, i.e
> > > > debian-devel@ or debian-project@.
> > > > 
> > > For example, in
> > > http://lists.debian.org/debian-project/2006/07/msg00231.html ?
> > 
> > The NMU policy implemented in dev-ref was discussed on -devel@ in 2008
> 
> I guess Neil actually meant
> <http://lists.debian.org/debian-devel-announce/2011/03/msg00016.html> ,
> cited at the beginning of this bug report. Quoting from there:
> 
> > 0-day NMU policy
> > ----------------
> > For some time now, we have had a perpetual 0-day NMU policy, and some
> > discussion [LDO:0day] was had a while ago. We feel that this has worked
> > well for the past five years, and so will be submitting a bug against
> > dev-ref to make this official.
> 
> which is a very clear quote and has been circulated via d-d-a.
> 
> I've noted that you question the authority of the Release Team authority
> to decide on this, which is one thing (see below about that).
> 
> Nonetheless nobody can argue that the RT didn't bring this topic
> up---with more than 1 month of advance---to the most appropriate place,
> enabling everyone to comment. (Reviewing the -devel thread you can find
> one comment about it. It is by Gregor, has been posted shortly after a
> further "ping" by Mehdi on this topic, and it's a positive one. [1])
> 
> So, looking from the outside, I would be more than ready to consider
> this change consensual among d-d-a readers.  That of course does not
> mean that it is consensual among devref editors, although I would expect
> them to follow consensus.

I must admit that I overlooked that part of the release team's email.

I just sent a mail to -devel@ to gather more feedback about the change.

Maybe it's just me getting old and grumpy ;)

> Anyhow, to avoid doubts and the unpleasant sensation of "sneaky-ness" in
> ratifying such an important policy, I suggest to proceed as follows:
> 
> - Improve the wording, given that it has been perceived as ambiguous by
>   various readers.
> 
>   I personally agree that it would be good to clarify that maintainers
>   are not forced to ping bug logs every 7 weeks (although I believe that
>   at least one message saying "I'm on it" it's at the very least a wise
>   thing to do to avoid duplication of efforts).  The wording might for
>   instance mention that 0-day NMU-ers should do a best effort to check
>   out by other means if the maintainer is working on it even if the
>   buglog is silent, e.g.: by looking at the VCS. Such a precaution
>   sounds reasonable for 0-day NMUs and at the same time won't add much
>   of a burden upon the NMU-ers; IME I often looked at the VCS anyhow, to
>   check if a patch was already available.
> 
>   Maybe those who have found the wording ambiguous can help out with a
>   first draft of that?

Regarding my own objections to this policy change, improving the wording
and adding precautions won't make them go away.

> /me puts on his formalities hat
> 
> Regarding the authoritativeness of the Release Team for deciding on
> this, I'm sorry but I have no solid formal ground to rule on that. (I've
> been planning to discuss with RT on how to clarify their delegation, but
> it's still in the TODO pipe.) So, if anyone feels strongly about that,
> this should probably go to the tech-ctte.
> 
> At the same time, it's undeniable that for the past 5 years or more,
> people have accepted NMU guidelines coming from the RT. So at least by
> folklore people don't seem to have a problem with RT authority on
> this. I could look more into this if you, or anyone else want me to
> (e.g. by digging archives trying to rebuild RT delegation history), but
> I do hope we can solve this in ways where the time of everybody is
> better spent than that.

I'm really wondering whether people have really been accepting the NMU
guidelines coming from the RT, or just ignoring them and using the
dev-ref recommendations instead. In the 2010 -bugs-rc archives, there
are 390 mentions of "DELAYED/2", vs 711 mentions of "DELAYED", so
uploading to DELAYED/2 looks quite popular. (I raised that point in my
-devel@ email, you might want to reply there).

I also note that you have been following the dev-ref recommendations
yourself during  RCBW. ;)

Regarding the authority of the release team, I very much respect the
release team, and highly value the opinion of its members, especially on
everything QA-related. But I don't see how defining the policy of
uploads to unstable could be formally part of their role.

- Lucas




Information stored :
Bug#625449; Package developers-reference. (Fri, 06 May 2011 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 06 May 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #100 received at 625449-quiet@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 625449-quiet@bugs.debian.org, Neil McGovern <neilm@debian.org>, Mehdi Dogguy <mehdi@debian.org>, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Sat, 7 May 2011 00:08:51 +0200
[Message part 1 (text/plain, inline)]
On Fri, May 06, 2011 at 11:31:02PM +0200, Lucas Nussbaum wrote:
> I just sent a mail to -devel@ to gather more feedback about the change.

Let's see where that thread will be going then, thanks.

> I'm really wondering whether people have really been accepting the NMU
> guidelines coming from the RT, or just ignoring them and using the
> dev-ref recommendations instead. In the 2010 -bugs-rc archives, there
> are 390 mentions of "DELAYED/2", vs 711 mentions of "DELAYED", so
> uploading to DELAYED/2 looks quite popular. (I raised that point in my
> -devel@ email, you might want to reply there).

Sure, the above it's a possibility, but it does not disprove my point:
if people felt (OK, felt "strongly" would be more fair here) RT were
abusing their authority with such indications, they would have probably
raised that argument. I do believe people are OK with RT deciding upon
this matters.  Again: that doesn't mean RT is entitled to, it's just an
indication.

> I also note that you have been following the dev-ref recommendations
> yourself during  RCBW. ;)

Sure, and I did that on purpose, because I wanted to point people to
some durable documentation they could remember by heart, instead of
having to point them to "crap-where-did-I-put-it?" d-d-a archive
links. The proposal here is exactly to consolidate common practices into
durable documentation :)

Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Thu, 26 May 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Thu, 26 May 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #105 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Stefano Zacchiroli <leader@debian.org>, 625449@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>, Mehdi Dogguy <mehdi@debian.org>, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#625449: Permanent BSP patch
Date: Thu, 26 May 2011 16:42:39 +0200
On 07/05/11 at 00:08 +0200, Stefano Zacchiroli wrote:
> On Fri, May 06, 2011 at 11:31:02PM +0200, Lucas Nussbaum wrote:
> > I just sent a mail to -devel@ to gather more feedback about the change.
> 
> Let's see where that thread will be going then, thanks.

So, apparently, I'm a bit alone on the "concerned by the change" side.
While I still don't think that it's a good idea, I don't see why my
position should further block the implementation of the change.

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 02:30:03 GMT) Full text and rfc822 format available.

Message #110 received at 625449@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 625449@bugs.debian.org
Subject: Re: Permanent BSP patch
Date: Mon, 25 Jul 2011 04:25:58 +0200
[Message part 1 (text/plain, inline)]
Hello,

This bug came up for discussion this evening at DebConf; I think it's
overdue to be followed through on.  Lucas seems to agree in the end with my
own believe that there is a weak consensus in favor of the proposed policy,
and it does effectively reflect current practice, so I think applying this
patch in some form is the right thing.

The biggest remaining point of contention seems to be whether an RC bug
which has had a response from a maintainer indicating that it's in progress
should be covered by the "0 day" policy after 7 days, or if it should be
covered by the "2 day" policy.  Since this is contentious, I propose the
more conservative policy be applied, as per the attached patch.

Comments?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[devref-625449.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #115 received at 625449@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steve Langasek <vorlon@debian.org>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Mon, 25 Jul 2011 20:40:57 +0200
On 25/07/11 at 04:25 +0200, Steve Langasek wrote:
> Hello,
> 
> This bug came up for discussion this evening at DebConf; I think it's
> overdue to be followed through on.  Lucas seems to agree in the end with my
> own believe that there is a weak consensus in favor of the proposed policy,
> and it does effectively reflect current practice, so I think applying this
> patch in some form is the right thing.
> 
> The biggest remaining point of contention seems to be whether an RC bug
> which has had a response from a maintainer indicating that it's in progress
> should be covered by the "0 day" policy after 7 days, or if it should be
> covered by the "2 day" policy.  Since this is contentious, I propose the
> more conservative policy be applied, as per the attached patch.
> 
> Comments?

ACK

L.




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 22:24:03 GMT) Full text and rfc822 format available.

Message #120 received at 625449@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 26 Jul 2011 00:21:48 +0200
On Mon, Jul 25, 2011 at 04:25:58AM +0200, Steve Langasek wrote:
> Hello,
> 
> This bug came up for discussion this evening at DebConf; I think it's
> overdue to be followed through on.  Lucas seems to agree in the end with my
> own believe that there is a weak consensus in favor of the proposed policy,
> and it does effectively reflect current practice, so I think applying this
> patch in some form is the right thing.

Any offline discussion about policy should be ignored, as a matter of
principle. If Lucas want to say something, he can just post it there.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 22:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 22:39:07 GMT) Full text and rfc822 format available.

Message #125 received at 625449@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 26 Jul 2011 00:37:13 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 26, 2011 at 12:21:48AM +0200, Bill Allombert wrote:

> Any offline discussion about policy should be ignored, as a matter of
> principle. If Lucas want to say something, he can just post it there.

He did, that's what I was referring to.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #130 received at 625449@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 26 Jul 2011 00:51:27 +0200
On 07/26/2011 12:21 AM, Bill Allombert wrote:
> On Mon, Jul 25, 2011 at 04:25:58AM +0200, Steve Langasek wrote:
>> Hello,
>>
>> This bug came up for discussion this evening at DebConf; I think
>> it's overdue to be followed through on.  Lucas seems to agree in
>> the end with my own believe that there is a weak consensus in
>> favor of the proposed policy, and it does effectively reflect
>> current practice, so I think applying this patch in some form is
>> the right thing.
>
> Any offline discussion about policy should be ignored, as a matter of
> principle. If Lucas want to say something, he can just post it
> there.
>

There might be some misunderstanding. The first sentence doesn't say
that there was a discussion with Lucas during DebConf :) Lucas already
expressed his opinion in this buglog.

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#625449; Package developers-reference. (Mon, 25 Jul 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jul 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #135 received at 625449@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 625449@bugs.debian.org
Subject: Re: Bug#625449: Permanent BSP patch
Date: Tue, 26 Jul 2011 07:57:44 +0900
Le Mon, Jul 25, 2011 at 08:40:57PM +0200, Lucas Nussbaum a écrit :
> On 25/07/11 at 04:25 +0200, Steve Langasek wrote:
> > Hello,
> > 
> > This bug came up for discussion this evening at DebConf; I think it's
> > overdue to be followed through on.  Lucas seems to agree in the end with my
> > own believe that there is a weak consensus in favor of the proposed policy,
> > and it does effectively reflect current practice, so I think applying this
> > patch in some form is the right thing.
> > 
> > The biggest remaining point of contention seems to be whether an RC bug
> > which has had a response from a maintainer indicating that it's in progress
> > should be covered by the "0 day" policy after 7 days, or if it should be
> > covered by the "2 day" policy.  Since this is contentious, I propose the
> > more conservative policy be applied, as per the attached patch.
> > 
> > Comments?
> 
> ACK

Yes, let's move forward.

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 26 Jul 2011 23:09:02 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 18:21:13 GMT) Full text and rfc822 format available.

Notification sent to Neil McGovern <neilm@debian.org>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 18:21:13 GMT) Full text and rfc822 format available.

Message #142 received at 625449-close@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 625449-close@bugs.debian.org
Subject: Bug#625449: fixed in developers-reference 3.4.6
Date: Sun, 31 Jul 2011 18:17:32 +0000
Source: developers-reference
Source-Version: 3.4.6

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-de_3.4.6_all.deb
  to main/d/developers-reference/developers-reference-de_3.4.6_all.deb
developers-reference-fr_3.4.6_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.6_all.deb
developers-reference-ja_3.4.6_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.6_all.deb
developers-reference_3.4.6.dsc
  to main/d/developers-reference/developers-reference_3.4.6.dsc
developers-reference_3.4.6.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.6.tar.bz2
developers-reference_3.4.6_all.deb
  to main/d/developers-reference/developers-reference_3.4.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625449@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lucas Nussbaum <lucas@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 31 Jul 2011 19:52:10 +0200
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.6
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: Lucas Nussbaum <lucas@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 540249 602838 610782 625449
Changes: 
 developers-reference (3.4.6) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Update the NMU rules to take into account the 0-day NMU rule
     instituted by the release managers. Closes: #625449
 .
   [ Lucas Nussbaum ]
   * Update my email address.
   * Encourage the use of RT to contact the security team.
     Patch from Thijs Kinkhorst. Closes: #610782
   * Document the process of returning after retirement.
     Patch from Serafeim Zanikolas. Closes: #540249
   * Add instructions how to mark a non-free package as auto-buildable.
     Patch from Moritz Muehlenhoff, ACKed by Andreas Barth.
     Closes: #602838
Checksums-Sha1: 
 0da1d91ce01f6a63b5a479efd1303a087ace5a12 1890 developers-reference_3.4.6.dsc
 2f226b2e0aa23e8e5fa7de1103944f572a1fb77b 611049 developers-reference_3.4.6.tar.bz2
 2f1a2d633beccfcfb0fdd713544d0b11ab6339a7 734792 developers-reference_3.4.6_all.deb
 74b1e5c7e7e73c73e744fc93fa62f5cd532ca72e 809354 developers-reference-de_3.4.6_all.deb
 c50a171aaeb38b787ff491abee7d5390bc708fd9 794078 developers-reference-fr_3.4.6_all.deb
 3b3034d8a20abaa2e7af777d9c7b45ff32f4f082 280964 developers-reference-ja_3.4.6_all.deb
Checksums-Sha256: 
 475d9037331eb3ce76a3e52f4bc3fc21f8428d866a88685de6fb98095d1f0406 1890 developers-reference_3.4.6.dsc
 67bb0b184bc443e0e398a89322724419ccb28d9dac59fe831cba21671c61be03 611049 developers-reference_3.4.6.tar.bz2
 d8e194746f4e9d74eded9da93281130f321012c6009397ca5b4e2e88dd71b700 734792 developers-reference_3.4.6_all.deb
 05ddf84d1c94c6a152c6f4eefe45f27236ada9a6149dbcfcc8cbbbafa6a93fe9 809354 developers-reference-de_3.4.6_all.deb
 bb96154576b6f6984c6035da906ae0216a3863e9605cfbbae55ac747a6d7ab09 794078 developers-reference-fr_3.4.6_all.deb
 631d23472f26018ec8ffc841beae96d3e5a3934715fb9a77c0cf025a2e473fd3 280964 developers-reference-ja_3.4.6_all.deb
Files: 
 a537e5366c494434d99eddfa74fd73dc 1890 doc optional developers-reference_3.4.6.dsc
 942f25dc7e0c55540d4893e89bf0285e 611049 doc optional developers-reference_3.4.6.tar.bz2
 71049adf378539d78a924c7e4172d90b 734792 doc optional developers-reference_3.4.6_all.deb
 cf1abaaabf3b186b27e031b12c1a1704 809354 doc optional developers-reference-de_3.4.6_all.deb
 721a224c56d1d1f7d7ea268d454624a0 794078 doc optional developers-reference-fr_3.4.6_all.deb
 2a9947dc994d4e8cb38985866002328a 280964 doc optional developers-reference-ja_3.4.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTjWYMjkUtTL0376ZAQq8Vw/+MpshZ8awIJk/V2usoWWiYLVvN1kWphRg
BATd0Wra17PVetNBGRy33rWCM8SQBChZyVSt3UhBug7AlSBTPvTJ/TtVlsqIlTyu
O7wVRvvXXKvjzSl/TRSrumVdHrf6PE6jZD4pm+gLp7POeRsmsVpwgxlzfMA15fIm
0qr3Ji5cv9G4E6f1w5CpAjNHTDSl7NGBqINImW9XhajGjSpKN93zpYfUxourO1d/
SX27ERkAInIeuTMFVdD1pcNQwGIq0nkEdFZfTIm+tDZNyvBY4uZq5wOkif4tbrOn
9NgfWRD2c2yDsEUU6sxMRQ1lORB9fVdP9f6jDfYowkxYRRPS+VJM8bHm+Oz1Dszb
eIELadyS7KhERTA01EUbCgSANKBQiQhTFbJRGaR5qxAV56+ChDSeRuhNoYnAoIf8
bcwgz1eqD7gAO7MTBdWNeFSPexbZ5MbKMDRxhaUkFa7I+3d8/mv9yE0XBTa+iqm7
J5K6YB0OG/J9ArODc5+YxCNDi39BuWT1vsVyScc7x0F/ZRfwAbgbYf96p7W3H4J9
IcHcw1TR2cNlhxldR/lberDLcaushKe1aJivAtCzNEhupJyJV95sL0fMhTnPTsm0
S68Ep90LYy1TKq9eX4ensHieDgBBkohUk2xIdHcP5cdN/p3YxRYBDNlwcHonPvKw
BHz1K5YAbgc=
=HQ1P
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Sep 2011 07:36:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:38:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.